Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mytypereconstruction
Class CTriple

    java.lang.Object
      mycompiler.mytypereconstruction.CTriple

    public class CTriple

extends java.lang.Object

Container-Klasse für Ergebniswerte der Algorithmen TRStmt und TRExp. (siehe Algorithmus 5.20 ff TRStmt und 5.30 ff TRExp, Martin Plümicke)

Version:
  $Date: 2005/06/28 19:19:10 $
Author:
  Jörg Bäuerle

Constructor Summary
`CTriple()` Author: Jörg Bäuerle
`CTriple(CSubstitutionSet substitutions, Type resultType, CTypeAssumptionSet assumptionSet)`

Method Summary
`CTriple` | `clone()`
`CTriple` | `cloneAndApplyUnify(CSubstitutionSet unifier)` Kopiert dieses Triple und wendet alle Substitutionen eines Unifiers auf die Kopie an.
`boolean` | `equals(java.lang.Object obj)`
`CTypeAssumptionSet` | `getAssumptionSet()` Author: Jörg Bäuerle
`Type` | `getResultType()` Author: Jörg Bäuerle
`CSubstitutionSet` | `getSubstitutions()` Author: Jörg Bäuerle
`void` | `setAssumptionSet(CTypeAssumptionSet assumptionSet)` Author: Jörg Bäuerle
`void` | `setResultType(Type resultType)` Author: Jörg Bäuerle
`void` | `setSubstitutions(CSubstitutionSet substitutions)` Author: Jörg Bäuerle
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CTriple

    public CTriple()

  Author: Jörg Bäuerle

### CTriple

    public CTriple(CSubstitutionSet substitutions,
                   Type resultType,
                   CTypeAssumptionSet assumptionSet)

Method Detail

### getAssumptionSet

    public CTypeAssumptionSet getAssumptionSet()

  Author: Jörg Bäuerle

  Returns:
    Returns the AssumptionSet.

### setAssumptionSet

    public void setAssumptionSet(CTypeAssumptionSet assumptionSet)

  Author: Jörg Bäuerle

  Parameters:
    `assumptionSet` - The AssumptionSet to set.

### getResultType

    public Type getResultType()

  Author: Jörg Bäuerle

  Returns:
    Returns the ResultType.

### setResultType

    public void setResultType(Type resultType)

  Author: Jörg Bäuerle

  Parameters:
    `resultType` - The ResultType to set.

### getSubstitutions

    public CSubstitutionSet getSubstitutions()

  Author: Jörg Bäuerle

  Returns:
    Returns the Substitutions.

### setSubstitutions

    public void setSubstitutions(CSubstitutionSet substitutions)

  Author: Jörg Bäuerle

  Parameters:
    `substitution` - The Substitutions to set.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public CTriple clone()

  Overrides:
    `clone` in class `java.lang.Object`

### cloneAndApplyUnify

    public CTriple cloneAndApplyUnify(CSubstitutionSet unifier)

  Kopiert dieses Triple und wendet alle Substitutionen eines Unifiers auf die Kopie an.
  Author: Jörg Bäuerle

  Parameters:
    `unifier` -
  Returns:
    Die Kopie nach Anwendung des Unifiers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD